fanotify06 in LTP syscall test failed with T kernel

Bug #1775378 reported by Po-Hsu Lin on 2018-06-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Alex Hung
linux (Ubuntu)
Medium
Unassigned
Trusty
Medium
Alex Hung

Bug Description

The "fanotify06" from the LTP syscall tests has failed on a testing node with T kernel installed.

Steps (with root):
  1. sudo apt-get install git xfsprogs -y
  2. git clone --depth=1 https://github.com/linux-test-project/ltp.git
  3. cd ltp
  4. make autotools
  5. ./configure
  6. make; make install
  7. /opt/ltp/testcases/bin/fanotify06

<<<test_start>>>
tag=fanotify06 stime=1528269991
cmdline="fanotify06"
contacts=""
analysis=exit
<<<test_output>>>
tst_test.c:1015: INFO: Timeout per run is 0h 05m 00s
fanotify06.c:147: PASS: group 0 get event: mask 2 pid=22619 fd=29
fanotify06.c:147: PASS: group 1 get event: mask 2 pid=22619 fd=29
fanotify06.c:147: PASS: group 2 get event: mask 2 pid=22619 fd=29
fanotify06.c:197: FAIL: group 3 got event
fanotify06.c:197: FAIL: group 4 got event
fanotify06.c:197: FAIL: group 5 got event
fanotify06.c:208: PASS: group 6 got no event
fanotify06.c:208: PASS: group 7 got no event
fanotify06.c:197: FAIL: group 8 got event

Summary:
passed 5
failed 4
skipped 0
warnings 0
<<<execution_status>>>
initiation_status="ok"
duration=0 termination_type=exited termination_id=1 corefile=no
cutime=0 cstime=0
<<<test_end>>>

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-149-generic 3.13.0-149.199
ProcVersionSignature: User Name 3.13.0-149.199-generic 3.13.11-ckt39
Uname: Linux 3.13.0-149-generic x86_64
AlsaDevices:
 total 0
 crw-rw---- 1 root audio 116, 1 Jun 6 10:09 seq
 crw-rw---- 1 root audio 116, 33 Jun 6 10:09 timer
AplayDevices: Error: [Errno 2] No such file or directory: 'aplay'
ApportVersion: 2.14.1-0ubuntu3.29
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord'
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDmesg: [ 3.472391] init: plymouth-upstart-bridge main process ended, respawning
Date: Wed Jun 6 10:12:15 2018
IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig'
MachineType: Intel Corporation S1200RP
PciMultimedia:

ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-149-generic root=UUID=b0d2ae4e-12dd-423e-acea-272ee8b2a893 ro
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-149-generic N/A
 linux-backports-modules-3.13.0-149-generic N/A
 linux-firmware 1.127.24
RfKill: Error: [Errno 2] No such file or directory: 'rfkill'
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/01/2015
dmi.bios.vendor: Intel Corp.
dmi.bios.version: S1200RP.86B.03.02.0003.070120151022
dmi.board.asset.tag: ....................
dmi.board.name: S1200RP
dmi.board.vendor: Intel Corporation
dmi.board.version: G62254-407
dmi.chassis.asset.tag: ....................
dmi.chassis.type: 17
dmi.chassis.vendor: ..............................
dmi.chassis.version: ..................
dmi.modalias: dmi:bvnIntelCorp.:bvrS1200RP.86B.03.02.0003.070120151022:bd07/01/2015:svnIntelCorporation:pnS1200RP:pvr....................:rvnIntelCorporation:rnS1200RP:rvrG62254-407:cvn..............................:ct17:cvr..................:
dmi.product.name: S1200RP
dmi.product.version: ....................
dmi.sys.vendor: Intel Corporation

Po-Hsu Lin (cypressyew) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Po-Hsu Lin (cypressyew) wrote :

This issue cannot be reproduced with Trusty ppc64le and ARM64

tags: added: i386
Changed in linux (Ubuntu Trusty):
status: New → Triaged
Changed in linux (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Po-Hsu Lin (cypressyew) wrote :

I could see this failing on Trusty ARM64 Moonshot node, but not the ppc64le node "modoc":
startup='Tue Jul 9 07:45:17 2019'
tst_device.c:231: INFO: Using test device LTP_DEV='/dev/loop0'
tst_mkfs.c:90: INFO: Formatting /dev/loop0 with ext2 opts='' extra opts=''
mke2fs 1.42.9 (4-Feb-2014)
tst_test.c:1100: INFO: Timeout per run is 0h 05m 00s
tst_fs_setup.c:43: INFO: fanotify06.c:239: overlayfs is not configured in this kernel
fanotify06.c:169: INFO: Test #0: Fanotify merge mount mark
fanotify06.c:147: PASS: group 0 got event: mask 2 pid=6308 fd=30
fanotify06.c:147: PASS: group 1 got event: mask 2 pid=6308 fd=30
fanotify06.c:147: PASS: group 2 got event: mask 2 pid=6308 fd=30
fanotify06.c:220: FAIL: group 3 got event
fanotify06.c:230: PASS: group 4 got no event
fanotify06.c:220: FAIL: group 5 got event
fanotify06.c:230: PASS: group 6 got no event
fanotify06.c:230: PASS: group 7 got no event
fanotify06.c:230: PASS: group 8 got no event
fanotify06.c:169: INFO: Test #1: Fanotify merge overlayfs mount mark
fanotify06.c:173: CONF: overlayfs is not configured in this kernel.

Summary:
passed 7
failed 2
skipped 1
warnings 0

tags: added: arm64 sru-20190701 ubuntu-ltp-syscalls
tags: added: 3.13
Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc
Alex Hung (alexhung) wrote :

This is fixed by a backported patch of 8edc6e1688f. Kernel and patch file is available @ https://people.canonical.com/~alexhung/LP1775378/

The result is as below:

$ sudo ./fanotify06
tst_device.c:87: INFO: Found free device 0 '/dev/loop0'
tst_mkfs.c:90: INFO: Formatting /dev/loop0 with ext2 opts='' extra opts=''
mke2fs 1.42.9 (4-Feb-2014)
tst_test.c:1118: INFO: Timeout per run is 0h 05m 00s
tst_fs_setup.c:43: INFO: fanotify06.c:239: overlayfs is not configured in this kernel
fanotify06.c:169: INFO: Test #0: Fanotify merge mount mark
fanotify06.c:147: PASS: group 0 got event: mask 2 pid=1626 fd=12
fanotify06.c:147: PASS: group 1 got event: mask 2 pid=1626 fd=12
fanotify06.c:147: PASS: group 2 got event: mask 2 pid=1626 fd=12
fanotify06.c:230: PASS: group 3 got no event
fanotify06.c:230: PASS: group 4 got no event
fanotify06.c:230: PASS: group 5 got no event
fanotify06.c:230: PASS: group 6 got no event
fanotify06.c:230: PASS: group 7 got no event
fanotify06.c:230: PASS: group 8 got no event
fanotify06.c:169: INFO: Test #1: Fanotify merge overlayfs mount mark
fanotify06.c:173: CONF: overlayfs is not configured in this kernel.

Alex Hung (alexhung) on 2019-09-20
Changed in linux (Ubuntu Trusty):
status: Triaged → In Progress
assignee: nobody → Alex Hung (alexhung)
Changed in ubuntu-kernel-tests:
assignee: nobody → Alex Hung (alexhung)
Po-Hsu Lin (cypressyew) wrote :

Test with the proposed Trusty kernel.
This patch works as expected.
Thanks.

Changed in ubuntu-kernel-tests:
status: New → Fix Released
Changed in linux (Ubuntu):
status: Triaged → Fix Released
Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers